#include <iostream>
#include<string>
#include <algorithm>

using namespace std;

bool akoe(string S)
{
	for (int i = 0; i < S.length() / 2; i++)
	{
		if (S[i] != S[S.length() - i - 1]) {
			return false;
		}
	}
	return true;
}

int najkraci(string str)
{
	long long count[256] = { 0 };
	long long  br = 1;
	if (akoe(str))
		return 1;
	for (int i = 0; i < str.size(); i++)
		count[str[i]]++;
	for (char ch = 'a'; ch <= 'z'; ch++)
	{
		if (count[ch] & 1)
		{
			count[ch--]--;
		}

		else
		{
			for (int i = 0; i < count[ch] / 2; i++)
			{
				br++;
			}
		}
	}
	return br;
}

int main()
{
	string str;
	std::cin >> str;
	cout << najkraci(str);

	return 0;
}